# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class EticConfigSettings(models.TransientModel):
    _inherit = "res.config.settings"

    product_caisse_etic_id = fields.Many2one(
        related="company_id.product_caisse_etic_id",
        string='Article "Caisse"',
        readonly=False,
    )
    picking_type_delivery_etic_id = fields.Many2one(
        related="company_id.picking_type_delivery_etic_id",
        string="Opération Livraison",
        readonly=False,
    )
    picking_type_return_etic_id = fields.Many2one(
        related="company_id.picking_type_return_etic_id",
        string="Opération Retour commerce",
        readonly=False,
    )
