# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class EticResCompany(models.Model):
    _inherit = "res.company"

    product_caisse_etic_id = fields.Many2one("product.category", 'Article "Caisse"')
    picking_type_delivery_etic_id = fields.Many2one(
        "stock.picking.type", "Operation Livraison"
    )
    picking_type_return_etic_id = fields.Many2one(
        "stock.picking.type", "Operation Retour Commerce"
    )
